package mapping

import (
	internal "git.denco.store/fakz9/ozon-api-client/ozon"
	proto "sipro-mps/api/generated/v1/ozon/products"
)

//go:generate go run github.com/jmattheis/goverter/cmd/goverter gen  -global "ignoreUnexported yes" .

// goverter:converter
// goverter:extend Int32ToInt64 Int64ToInt32
// goverter:matchIgnoreCase yes
// goverter:useZeroValueOnPointerInconsistency yes
type Converter interface {
	// goverter:ignore state sizeCache unknownFields

	ToProto(details *internal.ProductDetails) *proto.Product
	AttributesToProto(attrs *internal.GetDescriptionOfProductsResult) *proto.ProductAttributes
	// goverter:ignore ComplexAttributes GeoNames
	ProtoToUpdateItem(update *proto.CreateOrUpdateProductsRequest_Item) *internal.CreateOrUpdateProductItem
}

func Int32ToInt64(i int32) int64 {
	return int64(i)
}
func Int64ToInt32(i int64) int32 {
	return int32(i)
}
